Package twisted :: Package web :: Package woven :: Module widgets |
[show private | hide private]
[frames | no frames]

## Module twisted.web.woven.widgets

Classes
`Anchor` |
`Attributes` | Set attributes on a node.
`Bold` |
`Br` |
`Button` |
`Cell` |
`CheckBox` |
`ColumnList` |
`DefaultWidget` |
`DirectoryAnchor` |
`Div` |
`Dummy` |
`Error` |
`ExpandMacro` | A Macro expansion widget modeled after the METAL expander in ZPT/TAL/METAL.
`File` |
`Hidden` |
`Image` | A simple Widget that creates an `img' tag.
`Input` |
`InputText` |
`KeyedList` | I am a widget which knows how to display the values stored within a Python dictionary..
`Link` | A utility class for generating <a href='foo'>bar</a> tags.
`List` | I am a widget which knows how to generateDOM for a python list.
`Option` |
`ParagraphText` | Like a normal text widget, but it takes line breaks in the text and formats them as HTML paragraphs.
`PasswordText` | I render a password input field.
`RadioButton` |
`RawText` |
`Row` |
`Select` |
`Span` |
`SubAnchor` |
`Table` |
`Text` | A simple Widget that renders some text.
`Widget` | A Widget wraps an object, its model, for display.

Function Summary
| `appendModel(newNode, modelName)`

Variable Summary
`int` | `DEBUG`
`Document` | `document`
`Element` | `missingPattern`
`_Feature` | `nested_scopes`
`int` | `_RAISE`

Variable Details

    ### DEBUG Type: `int` Value:
        0

    ### document Type: `Document` Value:
        <twisted.web.microdom.Document instance at 0x887d014>

    ### missingPattern Type: `Element` Value:
        Element('div', attributes={'style': 'border: dashed red 1px; margin: 4\
        px'})

    ### nested_scopes Type: `_Feature` Value:
        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

    ### _RAISE Type: `int` Value:
        1

Generated by Epydoc 1.1 on Thu May 8 13:19:15 2003 | http://epydoc.sf.net